package cn.hnthyy.thmz.service.his;

import cn.hnthyy.thmz.entity.his.YpZdGroupName;
import cn.hnthyy.thmz.pageDto.YpZdGroupNamePageDto;
import cn.hnthyy.thmz.vo.YpZdGroupNameVo;

import java.util.List;

public interface YpZdGroupNameService {

    /**
     * 根据编码查询药房名称
     * @param groupNo
     * @return
     */
    YpZdGroupName queryByGroupNo(String groupNo);

    /**
     * 分页查询药房库字典列表
     *
     * @param ypZdGroupNamePageDto 药房库查询条件
     * @return
     */
    List<YpZdGroupNameVo> queryYpZdGroupNamePage(YpZdGroupNamePageDto ypZdGroupNamePageDto);/**

     * 查询药房库字典列表
     *
     * @return
     */
    List<YpZdGroupName> queryAllYpZdGroupName();


    /**
     * 统计药房库字典
     *
     * @param ypZdGroupName 药房库查询条件
     * @return
     */
    int countYpZdGroupName(YpZdGroupName ypZdGroupName);

    /**
     * 保存药房字典
     * @param ypZdGroupNameVo
     * @return
     */
    int saveYpZdGroupName(YpZdGroupNameVo ypZdGroupNameVo);

    /**
     * 删除药房
     * @return
     */
    int removeByGroupNo(String groupNo);
}
